import { n as saveJsonFile } from "./json-file-DpLhTVdZ.js";
import "./path-resolve-CY8fb-NE.js";
import "./constants-Z4-ulENd.js";
import fs from "node:fs";
//#region src/agents/auth-profiles/paths.ts
function ensureAuthStoreFile(pathname) {
	if (fs.existsSync(pathname)) return;
	saveJsonFile(pathname, {
		version: 1,
		profiles: {}
	});
}
//#endregion
export { ensureAuthStoreFile as t };
